<html><head>

<p class=MsoNormal><span lang=EN-US>Please note we provide an open source software notice along with this product and/or this product firmware (in the following just "this product"). The open source software licenses are granted by the respective right holders. And the open source licenses prevail all other license information with regard to the respective open source software contained in the product, including but not limited to End User Software Licensing Agreement. This notice is provided on behalf of Huawei Device Co., Ltd. and any of its local subsidiaries which may have provided this product to you in your local country.</span></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Warranty Disclaimer</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='text-transform:uppercase'>The open source software in this product is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY, without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the applicable licenses for more details.</span></b></p>


<p class=MsoNormal><b><span lang=EN-US style='font-size:16.0pt'>Copyright Notice and License Texts</span></b></p>


<style type="text/css">
body { padding: 0; font-family: sans-serif; }
.same-license { background-color: #eeeeee; border-top: 20px solid white; padding: 10px; }
.label { font-weight: bold; }
.file-list { margin-left: 1em; color: blue; }
</style>

</head><body topmargin="0" leftmargin="0"             rightmargin="0" bottommargin="0">
<div class="toc">
<ul>
<li><a href="#id0">/libjpeg</a></li>
<li><a href="#id1">/AndroidX Annotation</a></li>
<li><a href="#id2">/Kotlin</a></li>
<li><a href="#id3">/fastjson</a></li>
<li><a href="#id4">/AndroidX Exifinterface</a></li>
<li><a href="#id5">/JetBrains Java Annotations</a></li>
</ul>
</div><!-- table of contents -->
            <table cellpadding="0" cellspacing="0" border="0">
<tr id="id0"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/libjpeg <br/>
</div><!-- file-list -->

             <pre class="license-text">


Software:libjpeg 9d

Copyright (c) 1996&ndash;2018 Free Software Foundation, Inc.
Copyright (c) 1996&ndash;2001, 2003&ndash;2015 Free Software Foundation, Inc.
Copyright (c) 2014 Free Software Foundation, Inc.
Copyright (c) 2011 Free Software Foundation, Inc.
Copyright (c) 2004&ndash;2005, 2007&ndash;2009, 2011&ndash;2015 Free Software Foundation, Inc.
Copyright (c) 2004&ndash;2005, 2007&ndash;2008, 2011&ndash;2015 Free Software Foundation, Inc.
Copyright (c) 2004, 2011&ndash;2015 Free Software Foundation, Inc.
Copyright (c) 2004&ndash;2005, 2007, 2009, 2011&ndash;2015 Free Software Foundation, Inc.
Copyright (c) 2002&ndash;2018 Free Software Foundation, Inc.
Copyright (c) 2011&ndash;2018 Free Software Foundation, Inc.
Copyright (c) 2001&ndash;2018 Free Software Foundation, Inc.
Copyright (c) 1997&ndash;2018 Free Software Foundation, Inc.
Copyright (c) 1999&ndash;2018 Free Software Foundation, Inc.
Copyright (c) 2003&ndash;2018 Free Software Foundation, Inc.
Copyright (c) 2009&ndash;2018 Free Software Foundation, Inc.
Copyright (c) 2006&ndash;2018 Free Software Foundation, Inc.
Copyright (c) 2004&ndash;2018 Free Software Foundation, Inc.
Copyright (c) 2010&ndash;2018 Free Software Foundation, Inc.
Copyright (c) 1994&ndash;1997, Thomas G. Lane
Copyright (c) 1991&ndash;1997, Thomas G. Lane
Copyright (c) 1991&ndash;1998, Thomas G. Lane
Copyright (c) 1991&ndash;1994, Thomas G. Lane
Copyright (c) 1991&ndash;1996, Thomas G. Lane
Copyright 1992&ndash;2018 Free Software Foundation, Inc.
Copyright (c) 1992&ndash;1996, 1998&ndash;2012 Free Software Foundation, Inc.
Copyright (c) 2012 Free Software Foundation, Inc.
Copyright (c) 1994&ndash;2019, Thomas G. Lane, Guido Vollbeding
Copyright (c) 1994 X Consortium
Copyright (c) 1991&ndash;2019, Thomas G. Lane, Guido Vollbeding
Copyright (c) 1994&ndash;1998, Thomas G. Lane
Copyright (c) 1994&ndash;1996, Thomas G. Lane
Copyright (c) 1995&ndash;1998, Thomas G. Lane
Copyright (c) 1995&ndash;1997, Thomas G. Lane
Copyright (c) 1992&ndash;1996, Thomas G. Lane
Copyright (c) 1992&ndash;1997, Thomas G. Lane
Copyright (c) 1992, Thomas G. Lane
Copyright (c) 1995&ndash;2019, Thomas G. Lane, Guido Vollbeding
Copyright (c) 1991&ndash;2020, Thomas G. Lane, Guido Vollbeding
Copyright (c) 2020, Thomas G. Lane, Guido Vollbeding
Copyright (c) 1996&ndash;2015 Free Software Foundation, Inc.
Copyright (c) 2004&ndash;2015 Free Software Foundation, Inc.
Copyright (c) 2010&ndash;2015 Free Software Foundation, Inc.
Copyright (c) 1994&ndash;2018 Free Software Foundation, Inc.
Copyright (c) 1988 by Jef Poskanzer
Copyright 1990, David Koblas
copyright (c) 1991&ndash;2020, Thomas G. Lane, Guido Vollbeding
copyright by the Free Software Foundation
copyright by X Consortium
Copyright (c) 1991&ndash;2013, Thomas G. Lane, Guido Vollbeding
Copyright (c) 1997&ndash;2019, Thomas G. Lane, Guido Vollbeding
Copyright (c) 1989 by Jef Poskanzer

Copyright (c) &lt;YEAR&gt;, &lt;OWNER&gt;
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

LEGAL ISSUES

In plain English:

1. We don&prime;t promise that this software works. (But if you find any bugs, please let us know!)
2. You can use this software for whatever you want. You don&prime;t have to pay us.
3. You may not pretend that you wrote this software. If you use it in a program, you must acknowledge somewhere in your documentation that you&prime;ve used the IJG code.
In legalese:

The authors make NO WARRANTY or representation, either express or implied, with respect to this software, its quality, accuracy, merchantability, or fitness for a particular purpose. This software is provided &quot;AS IS&quot;, and you, its user, assume the entire risk as to its quality and accuracy.

This software is copyright (C) 1991&ndash;1998, Thomas G. Lane. All Rights Reserved except as specified below.

Permission is hereby granted to use, copy, modify, and distribute this software (or portions thereof) for any purpose, without fee, subject to these conditions:

(1) If any part of the source code for this software is distributed, then this README file must be included, with this copyright and no&ndash;warranty notice unaltered; and any additions, deletions, or changes to the original files must be clearly indicated in accompanying documentation.
(2) If only executable code is distributed, then the accompanying documentation must state that &quot;this software is based in part on the work of the Independent JPEG Group&quot;.
(3) Permission for use of this software is granted only if the user accepts full responsibility for any undesirable consequences; the authors accept NO LIABILITY for damages of any kind.
These conditions apply to any software derived from or based on the IJG code, not just to the unmodified library. If you use our work, you ought to acknowledge us.

Permission is NOT granted for the use of any IJG author&prime;s name or company name in advertising or publicity relating to this software or products derived from it. This software may be referred to only as &quot;the Independent JPEG Group&prime;s software&quot;.

We specifically permit and encourage the use of this software as the basis of commercial products, provided that all warranty or liability claims are assumed by the product vendor.

ansi2knr.c is included in this distribution by permission of L. Peter Deutsch, sole proprietor of its copyright holder, Aladdin Enterprises of Menlo Park, CA. ansi2knr.c is NOT covered by the above copyright and conditions, but instead by the usual distribution terms of the Free Software Foundation; principally, that you must include source code if you redistribute it. (See the file ansi2knr.c for full details.) However, since ansi2knr.c is not needed as part of any program generated from the IJG code, this does not limit you more than the foregoing paragraphs do.

The Unix configuration script &quot;configure&quot; was produced with GNU Autoconf. It is copyright by the Free Software Foundation but is freely distributable. The same holds for its supporting scripts (config.guess, config.sub, ltconfig, ltmain.sh). Another support script, install&ndash;sh, is copyright by M.I.T. but is also freely distributable.

It appears that the arithmetic coding option of the JPEG spec is covered by patents owned by IBM, AT&amp;T, and Mitsubishi. Hence arithmetic coding cannot legally be used without obtaining one or more licenses. For this reason, support for arithmetic coding has been removed from the free JPEG software. (Since arithmetic coding provides only a marginal gain over the unpatented Huffman mode, it is unlikely that very many implementations will support it.) So far as we are aware, there are no patent restrictions on the remaining code.

The IJG distribution formerly included code to read and write GIF files. To avoid entanglement with the Unisys LZW patent, GIF reading support has been removed altogether, and the GIF writer has been simplified to produce &quot;uncompressed GIFs&quot;. This technique does not use the LZW algorithm; the resulting GIF files are larger than usual, but are readable by all standard GIF decoders.

We are required to state that
&quot;The Graphics Interchange Format(c) is the Copyright property of CompuServe Incorporated. GIF(sm) is a Service Mark property of CompuServe Incorporated.&quot;

Permission to use, copy, modify, and distribute this software and its documentation
for any purpose and without fee is hereby granted, provided that the above copyright
notice appear in all copies and that both that copyright notice and this permission
notice appear in supporting documentation.  This software is provided &quot;as is&quot; without
express or implied warranty.
</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id1"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/AndroidX Annotation <br/>
</div><!-- file-list -->

             <pre class="license-text">


Software:AndroidX Annotation 1.5.0

Copyright (c) 2013 Google Inc.
Copyright (c) 2010 Google Inc.
Copyright (c) 2017 The Android Open Source Project
Copyright (c) 2007 The Android Open Source Project
Copyright (c) 2015 Google Inc.
Copyright (c) 2016 Google Inc.
Copyright (c) 2011 The Android Open Source Project
Copyright (c) 2021 The Android Open Source Project
Copyright (c) 2018 The Android Open Source ProjectSample Tall FontRegularTallFont&ndash;RegularLicensed
Copyright Mathias Bynens &lt;https://mathiasbynens.be/&gt;
Copyright (c) 2016 The Android Open Source Project
Copyright (c) 2018 The Android Open Source ProjectSample FontRegularSample Tall FontVersion
Copyright (c) 2012&ndash;2017 The ANTLR Project
Copyright (c) 2009, Yahoo! Inc.
Copyright (c) 2019, The Android Open Source Project
Copyright (c) 2014 by Bart Kiers
Copyright (c) 2016SS The Android Open Source Project
Copyright (c) 2008 The Android Open Source Project
Copyright (c) 2001&ndash;2016 the original author or authors
Copyright 2006 The Inconsolata Project
Copyright 2019 The Android Open Source Project
Copyright (c) 2010 The Android Open Source Project
Copyright 2010&ndash;2017 JetBrains s.r.o.
Copyright 2017, The Android Open Source Project
Copyright 2014, The Android Open Source Project
Copyright 2013, The Android Open Source Project
Copyright 2021a The Android Open Source Project
Copyright (c) 2008&ndash;2013, International Business Machines Corporation and others
Copyright (c) 2002 Kevin Atkinson (kevina@gnu.org)
Copyright (c) 2005&ndash;2011, International Business Machines Corporation and others
Copyright 2022 The Android Open Source Project
Copyright 2010&ndash;2019 JetBrains s.r.o. and Kotlin Programming Language contributors
Copyright (c) 20188 The Android Open Source Project
Copyright (c) 2009 The Android Open Source Project
Copyright (c) 2004&ndash;2009, International Business Machines Corporation and others
Copyright 2018 The Android Open Source Project
(c) 2018 The Android Open Source ProjectVariable FontRegularVariableFont&ndash;RegularBoldLicensed
Copyright (c) 2004&ndash;2014, International Business Machines Corporation and others
Copyright (c) 2015 The Android Open Source Project
Copyright (c) 2020 The Android Open Source Project
Copyright 2020 The Android Source Project
Copyright (c) 2020 The Dagger Authors
Copyright (c) 2011 Google Inc.
Copyright 2021 The Android Open Source Project
Copyright 2016&ndash;2019 JetBrains s.r.o.
Copyright (c) 2008&ndash;2010, International Business Machines Corporation and others
Copyright 2017 The Android Open Source Project
Copyright 2020 The Android Open stream Project
Copyright 2010&ndash;2016 JetBrains s.r.o.
Copyright 2021 Google LLC
Copyright (c) 2011&ndash;2012, International Business Machines Corporation and others
Copyright (c) Google
Copyright (c) 2014 The Android Open Source Project
Copyright 2015 the original author or authors
Copyright (c) 2006, David Crawshaw
Copyright (c) 2015&ndash;2021 the original
copyrighted by the Free Software Foundation
Copyright (c) 2008 Alexander Beider &amp; Stephen P. Morse
Copyright (c) 2019 The Android Open Source Project
Copyright (c) 2013 The Android Open Source Project
Copyright (c) 2011, International Business Machines Corporation and others
Copyright 2016 The Android Open Source Project
Copyright (c) 2007&ndash;2016, International Business Machines Corporation and others
Copyright (c) 2004&ndash;2011, International Business Machines Corporation and others
Copyright 2002&ndash;2016 The Apache Software Foundation
Copyright 2010, The Android Open Source Project
Copyright today.year The Android Open Source Project
Copyright 2019 &ndash; The Android Open Source Project
Copyright 2016, The Android Open Source Project
Copyright 2015, The Android Open Source Project
Copyright 2012, The Android Open Source Project
Copyright 2011, The Android Open Source Project
Copyright (c) 2022 The Android Open Source Project
Copyright (c) 2012 The Android Open Source Project
Copyright 2019, The Android Open Source Project
Copyright 2020 The Android Open Source Project
Copyright 2008, The Android Open Source Project
Copyright, John Smith, 19xx
Copyright (c) 2017 The Android Open Source ProjectSample FontRegularSampleFont&ndash;RegularSource
Copyright 2015 The Android Open Source Project
Copyright (c) 2007&ndash;2014, International Business Machines Corporation and others
Copyright 2010&ndash;2015 JetBrains s.r.o
Copyright (c) 2006 The Android Open Source Project
Copyright 2016&ndash;2020 JetBrains s.r.o.
Copyright (c) 2014, International Business Machines Corporation and others
Copyright (c) 2010&ndash;2014, International Business Machines Corporation and others
Copyright (c) 1991, 1999 Free Software Foundation, Inc.
(c) 2017 The Android Open Source ProjectSample FontThin ItalicSampleFont&ndash;ThinItalicLicensed
Copyright Exif IFD Attribute
Copyright 2018 Google Inc.
Copyright (c) 2007&ndash;2022, International Business Machines Corporation and others
Copyright (c) The Android Open Source Project
Copyright 2020 The Android expanded Source Project
Copyright 2006 The Inconsolata Project AuthorsInconsolataRegular2.000 CYRE Inconsolata&ndash;RegularInconsolata RegularVersion
Copyright (c) 2018 The Android Open Source Project


                                 Apache License
                           Version 2.0, January 2004
                        http://www.apache.org/licenses/

   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

   1. Definitions.

      &quot;License&quot; shall mean the terms and conditions for use, reproduction,
      and distribution as defined by Sections 1 through 9 of this document.

      &quot;Licensor&quot; shall mean the copyright owner or entity authorized by
      the copyright owner that is granting the License.

      &quot;Legal Entity&quot; shall mean the union of the acting entity and all
      other entities that control, are controlled by, or are under common
      control with that entity. For the purposes of this definition,
      &quot;control&quot; means (i) the power, direct or indirect, to cause the
      direction or management of such entity, whether by contract or
      otherwise, or (ii) ownership of fifty percent (50%) or more of the
      outstanding shares, or (iii) beneficial ownership of such entity.

      &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity
      exercising permissions granted by this License.

      &quot;Source&quot; form shall mean the preferred form for making modifications,
      including but not limited to software source code, documentation
      source, and configuration files.

      &quot;Object&quot; form shall mean any form resulting from mechanical
      transformation or translation of a Source form, including but
      not limited to compiled object code, generated documentation,
      and conversions to other media types.

      &quot;Work&quot; shall mean the work of authorship, whether in Source or
      Object form, made available under the License, as indicated by a
      copyright notice that is included in or attached to the work
      (an example is provided in the Appendix below).

      &quot;Derivative Works&quot; shall mean any work, whether in Source or Object
      form, that is based on (or derived from) the Work and for which the
      editorial revisions, annotations, elaborations, or other modifications
      represent, as a whole, an original work of authorship. For the purposes
      of this License, Derivative Works shall not include works that remain
      separable from, or merely link (or bind by name) to the interfaces of,
      the Work and Derivative Works thereof.

      &quot;Contribution&quot; shall mean any work of authorship, including
      the original version of the Work and any modifications or additions
      to that Work or Derivative Works thereof, that is intentionally
      submitted to Licensor for inclusion in the Work by the copyright owner
      or by an individual or Legal Entity authorized to submit on behalf of
      the copyright owner. For the purposes of this definition, &quot;submitted&quot;
      means any form of electronic, verbal, or written communication sent
      to the Licensor or its representatives, including but not limited to
      communication on electronic mailing lists, source code control systems,
      and issue tracking systems that are managed by, or on behalf of, the
      Licensor for the purpose of discussing and improving the Work, but
      excluding communication that is conspicuously marked or otherwise
      designated in writing by the copyright owner as &quot;Not a Contribution.&quot;

      &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity
      on behalf of whom a Contribution has been received by Licensor and
      subsequently incorporated within the Work.

   2. Grant of Copyright License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      copyright license to reproduce, prepare Derivative Works of,
      publicly display, publicly perform, sublicense, and distribute the
      Work and such Derivative Works in Source or Object form.

   3. Grant of Patent License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      (except as stated in this section) patent license to make, have made,
      use, offer to sell, sell, import, and otherwise transfer the Work,
      where such license applies only to those patent claims licensable
      by such Contributor that are necessarily infringed by their
      Contribution(s) alone or by combination of their Contribution(s)
      with the Work to which such Contribution(s) was submitted. If You
      institute patent litigation against any entity (including a
      cross&ndash;claim or counterclaim in a lawsuit) alleging that the Work
      or a Contribution incorporated within the Work constitutes direct
      or contributory patent infringement, then any patent licenses
      granted to You under this License for that Work shall terminate
      as of the date such litigation is filed.

   4. Redistribution. You may reproduce and distribute copies of the
      Work or Derivative Works thereof in any medium, with or without
      modifications, and in Source or Object form, provided that You
      meet the following conditions:

      (a) You must give any other recipients of the Work or
          Derivative Works a copy of this License; and

      (b) You must cause any modified files to carry prominent notices
          stating that You changed the files; and

      (c) You must retain, in the Source form of any Derivative Works
          that You distribute, all copyright, patent, trademark, and
          attribution notices from the Source form of the Work,
          excluding those notices that do not pertain to any part of
          the Derivative Works; and

      (d) If the Work includes a &quot;NOTICE&quot; text file as part of its
          distribution, then any Derivative Works that You distribute must
          include a readable copy of the attribution notices contained
          within such NOTICE file, excluding those notices that do not
          pertain to any part of the Derivative Works, in at least one
          of the following places: within a NOTICE text file distributed
          as part of the Derivative Works; within the Source form or
          documentation, if provided along with the Derivative Works; or,
          within a display generated by the Derivative Works, if and
          wherever such third&ndash;party notices normally appear. The contents
          of the NOTICE file are for informational purposes only and
          do not modify the License. You may add Your own attribution
          notices within Derivative Works that You distribute, alongside
          or as an addendum to the NOTICE text from the Work, provided
          that such additional attribution notices cannot be construed
          as modifying the License.

      You may add Your own copyright statement to Your modifications and
      may provide additional or different license terms and conditions
      for use, reproduction, or distribution of Your modifications, or
      for any such Derivative Works as a whole, provided Your use,
      reproduction, and distribution of the Work otherwise complies with
      the conditions stated in this License.

   5. Submission of Contributions. Unless You explicitly state otherwise,
      any Contribution intentionally submitted for inclusion in the Work
      by You to the Licensor shall be under the terms and conditions of
      this License, without any additional terms or conditions.
      Notwithstanding the above, nothing herein shall supersede or modify
      the terms of any separate license agreement you may have executed
      with Licensor regarding such Contributions.

   6. Trademarks. This License does not grant permission to use the trade
      names, trademarks, service marks, or product names of the Licensor,
      except as required for reasonable and customary use in describing the
      origin of the Work and reproducing the content of the NOTICE file.

   7. Disclaimer of Warranty. Unless required by applicable law or
      agreed to in writing, Licensor provides the Work (and each
      Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
      implied, including, without limitation, any warranties or conditions
      of TITLE, NON&ndash;INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
      PARTICULAR PURPOSE. You are solely responsible for determining the
      appropriateness of using or redistributing the Work and assume any
      risks associated with Your exercise of permissions under this License.

   8. Limitation of Liability. In no event and under no legal theory,
      whether in tort (including negligence), contract, or otherwise,
      unless required by applicable law (such as deliberate and grossly
      negligent acts) or agreed to in writing, shall any Contributor be
      liable to You for damages, including any direct, indirect, special,
      incidental, or consequential damages of any character arising as a
      result of this License or out of the use or inability to use the
      Work (including but not limited to damages for loss of goodwill,
      work stoppage, computer failure or malfunction, or any and all
      other commercial damages or losses), even if such Contributor
      has been advised of the possibility of such damages.

   9. Accepting Warranty or Additional Liability. While redistributing
      the Work or Derivative Works thereof, You may choose to offer,
      and charge a fee for, acceptance of support, warranty, indemnity,
      or other liability obligations and/or rights consistent with this
      License. However, in accepting such obligations, You may act only
      on Your own behalf and on Your sole responsibility, not on behalf
      of any other Contributor, and only if You agree to indemnify,
      defend, and hold each Contributor harmless for any liability
      incurred by, or claims asserted against, such Contributor by reason
      of your accepting any such warranty or additional liability.

   END OF TERMS AND CONDITIONS

   APPENDIX: How to apply the Apache License to your work.

      To apply the Apache License to your work, attach the following
      boilerplate notice, with the fields enclosed by brackets &quot;[]&quot;
      replaced with your own identifying information. (Don&prime;t include
      the brackets!)  The text should be enclosed in the appropriate
      comment syntax for the file format. We also recommend that a
      file or class name and description of purpose be included on the
      same &quot;printed page&quot; as the copyright notice for easier
      identification within third&ndash;party archives.

   Copyright [yyyy] [name of copyright owner]

   Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE&ndash;2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id2"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/Kotlin <br/>
</div><!-- file-list -->

             <pre class="license-text">


Software:Kotlin 1.7.10

Copyright (c) 2005 University of Maryland &ndash; Path
Copyright (c) 2008&ndash;2018, Nathan Sweet
Copyright (c) 1995, 2011, Oracle and/or its affiliates
Copyright (c) 1999, 2010, Oracle and/or its affiliates
Copyright (c) 1997, 2004, Oracle and/or its affiliates
Copyright (c) 1996 by Internet Software Consortium
Copyright (c) 2005&ndash;2006 University of Maryland
Copyright (c) 1997, 2007, Oracle and/or its affiliates
Copyright (c) 1999 CERN &ndash; European Organization for Nuclear Research
Copyright (c) 2013 Square, Inc.
Copyright (c) 2019&ndash;2020 Microsoft Research, Daan Leijen
Copyright (c) 2013 Aaron Forsander
Copyright (c) 2008 Ariel Flesler
Copyright (c) 2020&ndash;2021 Free Software Foundation, Inc.
Copyright (c) 1996, 2014, Oracle and/or its affiliates
Copyright (c) 2012 John Resig, Jorn Zaefferer
Copyright (c) 2012&ndash;2018 Free Software Foundation, Inc.
Copyright (c) 2000 by Martin Pool &lt;mbp@humbug.org.au&gt;
Copyright (c) Caldera International Inc. 2001&ndash;2002
Copyright 2011&ndash;2017, JetBrains
Copyright (c) 2005 University of Maryland
Copyright (c) 1996, 2001, Oracle and/or its affiliates
Copyright (c) 2009&ndash;2013 The Project Lombok Authors
Copyright (c) 2000&ndash;2006, www.hamcrest.org
Copyright (c) 1996, 2004, Oracle and/or its affiliates
Copyright (c) 2004, 2011, Oracle and/or its affiliates
Copyright 2019 The Android Open Source Project
Copyright 2000&ndash;2021 JetBrains s.r.o. and contributors
Copyright (c) 2009&ndash;2021 The Project Lombok Authors
Copyright 2010&ndash;2017 JetBrains s.r.o.
Copyright (c) 2000&ndash;2015 www.hamcrest.org
Copyright (c) The Internet Society (2005)
Copyright (c) 2003&ndash;2009 Steven G. Kargl
Copyright (c) 2000, 2005, Oracle and/or its affiliates
copyright by JetBrains
Copyright 2000&ndash;2018 JetBrains s.r.o. and Kotlin Programming Language contributors
(c) 2007&ndash;08 Google Inc.
Copyright (c) 2003, Oracle and/or its affiliates
Copyright (c) 1993 by Sun Microsystems, Inc.
Copyright (c) 1998, 1999, Oracle and/or its affiliates
Copyright Taligent, Inc. 1996, 1997
Copyright 2001&ndash;2009 Kent Beck &lt;kent@threeriversinstitute.org&gt;
Copyright (c) 1994, 2008, Oracle and/or its affiliates
Copyright (c) 2003, 2008, Oracle and/or its affiliates
Copyright 2004 Sun Microsystems, Inc.
Copyright (c) 2000&ndash;2011 ymnk, JCraft,Inc.
Copyright (c) 1994, 2011, Oracle and/or its affiliates
Copyright (c) 1997&ndash;1999 Netscape Communications Corporation
Copyright (c) 2011&ndash;2013 Vojta Jina and contributors
Copyright 2000&ndash;2020 JetBrains s.r.o.
Copyright 2010&ndash;2018 JetBrains s.r.o.
Copyright 2019 JetBrains s.r.o. and Kotlin Programming Language contributors
Copyright (c) 2003, 2011, Oracle and/or its affiliates
Copyright (c) 2004, 2006&ndash;2009 Glenn Randers&ndash;Pehrson
Copyright (c) 2018 Chad Retz
Copyright (c) 1994, 2001, Oracle and/or its affiliates
Copyright 2010&ndash;2018 JetBrains s.r.o. and Kotlin Programming Language contributors
(c) 1995&ndash;2004 Jean&ndash;loup Gailly and Mark Adler
Copyright (c) 2004&ndash;2017 QOS.ch
Copyright (c) 1993,2004 Sun Microsystems
Copyright 2010&ndash;2020 JetBrains s.r.o
Copyright (c) 1995&ndash;2005 International Business Machines Corporation and others
Copyright 2006&ndash;2009 David Saff &lt;david@saff.net&gt;
Copyright (c) 1991&ndash;2005 Unicode, Inc.
Copyright (c) 1991&ndash;2005 Unicode, Inc.
copyright (c) 1991&ndash;1998, Thomas G. Lane
Copyright (c) 1998, 2011, Oracle and/or its affiliates
Copyright (c) 1996, 2005, Oracle and/or its affiliates
Copyright (c) 1987, 1993, 1994 The Regents of the University of California
Copyright (c) 2012&ndash;2021 Free Software Foundation, Inc.
Copyright (c) 1996, 2013, Oracle and/or its affiliates
Copyright (c) 1998&ndash;2007 Marti Maria Saguer
Copyright (c) 1996, 2008, Oracle and/or its affiliates
Copyright (c) 1998, 2006, Oracle and/or its affiliates
Copyright 2013 Aaron Forsander
Copyright (c) 1989, 1991 Free Software Foundation, Inc.
Copyright (c) 2016&ndash;present, RxJava
Copyright (c) 1998&ndash;1999 Netscape Communications Corporation
Copyright 2015 the original author or authors
Copyright (c) 2000, 2009, Oracle and/or its affiliates
Copyright 2000&ndash;2016 JetBrains s.r.o.
Copyright 2002&ndash;2011, LAMP/EPFL
copyrighted by the Free Software Foundation
Copyright (c) The Internet Society (2000)
Copyright IBM Corp. 1996&ndash;1998
Copyright 2010&ndash;2022 JetBrains s.r.o.
Copyright (c) 2018&ndash;2021, Microsoft Research, Daan Leijen
Copyright (c) 2008, 2017 Sun Microsystems, Oracle Corporation
Copyright 2009 The Closure Library
Copyright (c) 1997, 2000, Oracle and/or its affiliates
Copyright (c) The Internet Society (1999)
Copyright 2010&ndash;2014 JetBrains s.r.o.
Copyright 2009 The Closure Library Authors
Copyright (c) 2001, Eric D. Friedman
(c) 2011 the Dart Project Authors
Copyright (c) 2004, 2008, Oracle and/or its affiliates
Copyright (c) 2000 &ndash; 2009 The Legion Of The Bouncy Castle (http://www.bouncycastle.org)
Copyright (c) 1998, 1999, 2000 Glenn Randers&ndash;Pehrson
Copyright 2002&ndash;2007 the original author or authors
Copyright 2010&ndash;20166 JetBrains s.r.o.
Copyright (c) 1995, 1996 Guy Eric Schalnat, Group 42, Inc.
Copyright (c) 2003, Kohsuke Kawaguchi
Copyright (c) The Internet Society (2001)
Copyright (c) 1992,1993,1995,1996,1997,1988 Jens&ndash;Uwe Mager, Helios Software GmbH, Hannover, Germany
Copyright (c) 2007, Eclipse Foundation, Inc.
Copyright JetBrains s.r.o.
Copyright (c) 1991&ndash;1993 RSA Laboratories
Copyright (c) 2019&ndash;2021 Microsoft Research, Daan Leijen
Copyright (c) The Internet Society (1998)
(c) Copyright IBM Corp. 1996 &ndash; 1998
Copyright (c) 1994, 2013, Oracle and/or its affiliates
Copyright (c) 1996, 2011, Oracle and/or its affiliates
Copyright (c) 1997, 2010, Oracle and/or its affiliates
Copyright (c) 2000, 2010, Oracle and/or its affiliates
Copyright (c) 1995&ndash;2009 International Business Machines Corporation and others
Copyright (c) 2009&ndash;2013 The Project Lombok Authors
Copyright 2012, the Dart project authors
Copyright (c) 1995&ndash;2017 Jean&ndash;loup Gailly and Mark Adler
Copyright (c) The Internet Society (2002)
Copyright (c) 1995, 2004, Oracle and/or its affiliates
Copyright (c) 1994, 2005, Oracle and/or its affiliates
Copyright (c) 1996, 1997 Andreas Dilger
Copyright (c) 1996, 2003, Oracle and/or its affiliates
Copyright (c) 2000&ndash;2011 INRIA, France Telecom
Copyright JS Foundation and other contributors &lt;https://js.foundation/&gt;
Copyright (c) The Internet Society (1997)
Copyright Eric Ford &amp; Hubert Holin 2001
(c) 1997&ndash;1999 Netscape Communications Corporation
Copyright 2000&ndash;2010 JetBrains s.r.o.
Copyright (c) 2002, 2005, Oracle and/or its affiliates
Copyright (c) 2003, 2004, Oracle and/or its affiliates
Copyright (c) 2003&ndash;2011 David Schultz
Copyright (c) 1997, 1998, Oracle and/or its affiliates
Copyright (c) 1995 Patrick Powell
Copyright (c) 1996 &ndash; 2021, Daniel Stenberg, &lt;daniel@haxx.se&gt; , and many contributors
Copyright (c) 1995, 2006, Oracle and/or its affiliates
Copyright 2005&ndash;2014 Daniel James
Copyright (c) 2008 Harold Cooper
Copyright (c) 1997, 2012, Oracle and/or its affiliates
(c) 2011 The Guava Authors
Copyright (c) 2002&ndash;2012 EPFL, Lausanne, unless otherwise specified
Copyright 2010&ndash;2015 JetBrains s.r.o.
Copyright 2002&ndash;2017 Gradle, Inc.
Copyright (c) 2011 Szabolcs Nagy
Copyright (c) 2011 The Android Open Source Project
Copyright (c) 2011&ndash;2019 Google, Inc.
Copyright (c) 2004 by Sun Microsystems, Inc.
Copyright (c) 1996, 2009, Oracle and/or its affiliates
Copyright Taligent, Inc. 1996
Copyright (c) Caldera International Inc.
Copyright (c) 1997&ndash;2000 Netscape Communications Corporation
Copyright (c) 1994, 2006, Oracle and/or its affiliates
Copyright (c) 2003, 2009, Oracle and/or its affiliates
Copyright (c) 1994, 2003, Oracle and/or its affiliates
Copyright (c) 2003, 2006, Oracle and/or its affiliates
Copyright (c) 2008 The Android Open Source Project
Copyright (c) 1994, 2009, Oracle and/or its affiliates
Copyright (c) 1998, 2002, Oracle and/or its affiliates
Copyright (c) 2002, 2010, Oracle and/or its affiliates
Copyright (c) 2018&ndash;2021 Microsoft Research, Daan Leijen
Copyright (c) 2003 by Bitstream, Inc.
Copyright 2006 Nemanja Trifunovic
Copyright (c) 2018&ndash;2020 Microsoft Research, Daan Leijen
Copyright (c) 2003, 2010, Oracle and/or its affiliates
Copyright (c) 1997, 2009, Oracle and/or its affiliates
Copyright (c) 2000 &ndash; 2019 The Legion of the Bouncy Castle Inc. (https://www.bouncycastle.org)
Copyright 2010&ndash;2020 JetBrains s.r.o.
Copyright (c) 2012&ndash;2016 Free Software Foundation, Inc.
Copyright 201L0&ndash;201L9 JetBrains s.r.o. and Kotlin Programming Language contributors
Copyright Taligent, Inc. 1996&ndash;1998
Copyright 2000&ndash;2018 JetBrains s.r.o.
Copyright (c) 2009&ndash;2015 The Project Lombok Authors
Copyright 2019&ndash;2020 JetBrains s.r.o.
Copyright 2011, The Dojo Foundation
Copyright 2010&ndash;2019 JetBrains s.r.o. and Kotlin Programming Language contributors
Copyright (c) 2003&ndash;2009 Bruce D. Evans
Copyright (c) 1994, 2010, Oracle and/or its affiliates
Copyright (c) 2011, 2013 Stephan Herrmann and others
Copyright (c) 1996, 2006, Oracle and/or its affiliates
Copyright (c) 2009 Free Software Foundation, Inc.
Copyright 2010&ndash; today.year JetBrains s.r.o. and Kotlin Programming Language contributors
Copyright (c) 1995, 2010, Oracle and/or its affiliates
Copyright 2000&ndash;2007 JetBrains s.r.o.
Copyright (c) 1998, 2009, Oracle and/or its affiliates
Copyright (c) 2019&ndash;2021, Microsoft Research, Daan Leijen
Copyright (c) 2009, 2011, Oracle and/or its affiliates
Copyright 2008 Google Inc.
Copyright 2007 Google Inc.
Copyright Eric Ford &amp; Hubert Holin 2001. constexpr KDouble LN2
Copyright (c) 1994, 1998, Oracle and/or its affiliates
Copyright 2000&ndash;2019 JetBrains s.r.o. and Kotlin Programming Language contributors
Copyright (c) 2000&ndash;2002 Glenn Randers&ndash;Pehrson
Copyright 2018&ndash;2020 The JSpecify Authors
Copyright (c) 2000&ndash;2005 INRIA, France Telecom
Copyright (c) 1996&ndash;2014 Anthony Green, Red Hat, Inc and others
Copyright (c) 1998 &ndash; 2020, Daniel Stenberg, &lt;daniel@haxx.se&gt;
Copyright (c) 1996, 1999, Oracle and/or its affiliates
Copyright (c) 2006 by Tavmjong Bah
Copyright 2000&ndash;2009 Erich Gamma &lt;erich_gamma@acm.org&gt;
Copyright 2019 Square, Inc.
Copyright (c) 1994, 2004, Oracle and/or its affiliates
Copyright (c) 1996, 2010, Oracle and/or its affiliates
Copyright 2000&ndash;2014 JetBrains s.r.o.
Copyright 2010&ndash;2016 JetBrains s.r.o.
Copyright (c) 2009&ndash;2017 by the contributors
Copyright (c) 2005&ndash;2014 Rich Felker
Copyright 2011 The Guava Authors
Copyright (c) 2000, 2011, Oracle and/or its affiliates
Copyright 2000&ndash;2017 JetBrains s.r.o. and Kotlin Programming Language contributors
Copyright (c) 2000, 2003, Oracle and/or its affiliates
Copyright (c) 1997, 2008, Oracle and/or its affiliates
Copyright (c) 2019 Microsoft Corporation, Daan Leijen
Copyright 2010 Tim Down
Copyright (c) 2005&ndash;2010 Sam Stephenson
Copyright (c) 1999, 2011, Oracle and/or its affiliates
Copyright (c) 2013&ndash;2021 Free Software Foundation, Inc.
Copyright (c) 2008 Stephen L. Moshier
Copyright (c) 2013 The Android Open Source Project
Copyright (c) 1997, 2013, Oracle and/or its affiliates
Copyright (c) 2000, 2006, Oracle and/or its affiliates
Copyright (c) 2008 Holger Weiss
Copyright (c) 2019&ndash;2020, Microsoft Research, Daan Leijen
Copyright (c) 2011, the Dart project
Copyright IBM Corp. 1996
Copyright (c) 1997, 2003, Oracle and/or its affiliates
Copyright (c) 1995, 2008, Oracle and/or its affiliates
Copyright 2010&ndash;2020 JetBrains s.r.o. and Kotlin Programming Language contributors
Copyright 2015 Realm Inc.
Copyright (c) 1997, 2006, Oracle and/or its affiliates
Copyright (c) 2016 Jamie Sherriff
Copyright (c) 2001&ndash;2004 by the MX4J contributors
Copyright (c) 1994 David Burren
(c) Tavmjung Bah
Copyright (c) 1995&ndash;1999 Unicode, Inc.
Copyright (c) 2016 Daniel Dreibrodt
Copyright (c) 2020 The JSpecify Authors
Copyright (c) 2018 &ndash; 2020, Daniel Stenberg, &lt;daniel@haxx.se&gt;
Copyright JS Foundation and other contributors, https://js.foundation
Copyright 2010&ndash;2022 JetBrains s.r.o. and Kotlin Programming Language contributors
Copyright (c) 2003, 2005, Oracle and/or its affiliates
Copyright (c) 2002 JSON.org
Copyright (c) 2011 Valentin Ochs
copyright Jeremy Ashkenas, DocumentCloud and Investigative Reporters &amp; Editors &lt;http://underscorejs.org/&gt;
Copyright 2010&ndash;2019 JetBrains s.r.o.
Copyright (c) 1998 &ndash; 2021, Daniel Stenberg, &lt;daniel@haxx.se&gt;
Copyright 2011, John Resig
Copyright (c) 1991, 1999 Free Software Foundation, Inc.
Copyright (c) 2001&ndash;2008 Ville Laurikari
Copyright 2010&ndash;2021 JetBrains s.r.o. and Kotlin Programming Language contributors
Copyright (c) 1993 by Sun Microsystems, Inc.
Copyright (c) 2018&ndash;2020, Microsoft Research, Daan Leijen
Copyright (c) 1998, 2010, Oracle and/or its affiliates
Copyright (c) 1997, 2011, Oracle and/or its affiliates
Copyright 2010&ndash;2021 JetBrains s.r.o.
Copyright (c) 1995, 2013, Oracle and/or its affiliates
Copyright (c) The Internet Society (1997&ndash;2000)
Copyright (c) 1994, 2014, Oracle and/or its affiliates
Copyright (c) 2009&ndash;2014 by the contributors
Copyright 2010&ndash;2013 JetBrains s.r.o.
Copyright (c) 2011&ndash;15 The Android Open Source Project

                                 Apache License
                           Version 2.0, January 2004
                        http://www.apache.org/licenses/

   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

   1. Definitions.

      &quot;License&quot; shall mean the terms and conditions for use, reproduction,
      and distribution as defined by Sections 1 through 9 of this document.

      &quot;Licensor&quot; shall mean the copyright owner or entity authorized by
      the copyright owner that is granting the License.

      &quot;Legal Entity&quot; shall mean the union of the acting entity and all
      other entities that control, are controlled by, or are under common
      control with that entity. For the purposes of this definition,
      &quot;control&quot; means (i) the power, direct or indirect, to cause the
      direction or management of such entity, whether by contract or
      otherwise, or (ii) ownership of fifty percent (50%) or more of the
      outstanding shares, or (iii) beneficial ownership of such entity.

      &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity
      exercising permissions granted by this License.

      &quot;Source&quot; form shall mean the preferred form for making modifications,
      including but not limited to software source code, documentation
      source, and configuration files.

      &quot;Object&quot; form shall mean any form resulting from mechanical
      transformation or translation of a Source form, including but
      not limited to compiled object code, generated documentation,
      and conversions to other media types.

      &quot;Work&quot; shall mean the work of authorship, whether in Source or
      Object form, made available under the License, as indicated by a
      copyright notice that is included in or attached to the work
      (an example is provided in the Appendix below).

      &quot;Derivative Works&quot; shall mean any work, whether in Source or Object
      form, that is based on (or derived from) the Work and for which the
      editorial revisions, annotations, elaborations, or other modifications
      represent, as a whole, an original work of authorship. For the purposes
      of this License, Derivative Works shall not include works that remain
      separable from, or merely link (or bind by name) to the interfaces of,
      the Work and Derivative Works thereof.

      &quot;Contribution&quot; shall mean any work of authorship, including
      the original version of the Work and any modifications or additions
      to that Work or Derivative Works thereof, that is intentionally
      submitted to Licensor for inclusion in the Work by the copyright owner
      or by an individual or Legal Entity authorized to submit on behalf of
      the copyright owner. For the purposes of this definition, &quot;submitted&quot;
      means any form of electronic, verbal, or written communication sent
      to the Licensor or its representatives, including but not limited to
      communication on electronic mailing lists, source code control systems,
      and issue tracking systems that are managed by, or on behalf of, the
      Licensor for the purpose of discussing and improving the Work, but
      excluding communication that is conspicuously marked or otherwise
      designated in writing by the copyright owner as &quot;Not a Contribution.&quot;

      &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity
      on behalf of whom a Contribution has been received by Licensor and
      subsequently incorporated within the Work.

   2. Grant of Copyright License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      copyright license to reproduce, prepare Derivative Works of,
      publicly display, publicly perform, sublicense, and distribute the
      Work and such Derivative Works in Source or Object form.

   3. Grant of Patent License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      (except as stated in this section) patent license to make, have made,
      use, offer to sell, sell, import, and otherwise transfer the Work,
      where such license applies only to those patent claims licensable
      by such Contributor that are necessarily infringed by their
      Contribution(s) alone or by combination of their Contribution(s)
      with the Work to which such Contribution(s) was submitted. If You
      institute patent litigation against any entity (including a
      cross&ndash;claim or counterclaim in a lawsuit) alleging that the Work
      or a Contribution incorporated within the Work constitutes direct
      or contributory patent infringement, then any patent licenses
      granted to You under this License for that Work shall terminate
      as of the date such litigation is filed.

   4. Redistribution. You may reproduce and distribute copies of the
      Work or Derivative Works thereof in any medium, with or without
      modifications, and in Source or Object form, provided that You
      meet the following conditions:

      (a) You must give any other recipients of the Work or
          Derivative Works a copy of this License; and

      (b) You must cause any modified files to carry prominent notices
          stating that You changed the files; and

      (c) You must retain, in the Source form of any Derivative Works
          that You distribute, all copyright, patent, trademark, and
          attribution notices from the Source form of the Work,
          excluding those notices that do not pertain to any part of
          the Derivative Works; and

      (d) If the Work includes a &quot;NOTICE&quot; text file as part of its
          distribution, then any Derivative Works that You distribute must
          include a readable copy of the attribution notices contained
          within such NOTICE file, excluding those notices that do not
          pertain to any part of the Derivative Works, in at least one
          of the following places: within a NOTICE text file distributed
          as part of the Derivative Works; within the Source form or
          documentation, if provided along with the Derivative Works; or,
          within a display generated by the Derivative Works, if and
          wherever such third&ndash;party notices normally appear. The contents
          of the NOTICE file are for informational purposes only and
          do not modify the License. You may add Your own attribution
          notices within Derivative Works that You distribute, alongside
          or as an addendum to the NOTICE text from the Work, provided
          that such additional attribution notices cannot be construed
          as modifying the License.

      You may add Your own copyright statement to Your modifications and
      may provide additional or different license terms and conditions
      for use, reproduction, or distribution of Your modifications, or
      for any such Derivative Works as a whole, provided Your use,
      reproduction, and distribution of the Work otherwise complies with
      the conditions stated in this License.

   5. Submission of Contributions. Unless You explicitly state otherwise,
      any Contribution intentionally submitted for inclusion in the Work
      by You to the Licensor shall be under the terms and conditions of
      this License, without any additional terms or conditions.
      Notwithstanding the above, nothing herein shall supersede or modify
      the terms of any separate license agreement you may have executed
      with Licensor regarding such Contributions.

   6. Trademarks. This License does not grant permission to use the trade
      names, trademarks, service marks, or product names of the Licensor,
      except as required for reasonable and customary use in describing the
      origin of the Work and reproducing the content of the NOTICE file.

   7. Disclaimer of Warranty. Unless required by applicable law or
      agreed to in writing, Licensor provides the Work (and each
      Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
      implied, including, without limitation, any warranties or conditions
      of TITLE, NON&ndash;INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
      PARTICULAR PURPOSE. You are solely responsible for determining the
      appropriateness of using or redistributing the Work and assume any
      risks associated with Your exercise of permissions under this License.

   8. Limitation of Liability. In no event and under no legal theory,
      whether in tort (including negligence), contract, or otherwise,
      unless required by applicable law (such as deliberate and grossly
      negligent acts) or agreed to in writing, shall any Contributor be
      liable to You for damages, including any direct, indirect, special,
      incidental, or consequential damages of any character arising as a
      result of this License or out of the use or inability to use the
      Work (including but not limited to damages for loss of goodwill,
      work stoppage, computer failure or malfunction, or any and all
      other commercial damages or losses), even if such Contributor
      has been advised of the possibility of such damages.

   9. Accepting Warranty or Additional Liability. While redistributing
      the Work or Derivative Works thereof, You may choose to offer,
      and charge a fee for, acceptance of support, warranty, indemnity,
      or other liability obligations and/or rights consistent with this
      License. However, in accepting such obligations, You may act only
      on Your own behalf and on Your sole responsibility, not on behalf
      of any other Contributor, and only if You agree to indemnify,
      defend, and hold each Contributor harmless for any liability
      incurred by, or claims asserted against, such Contributor by reason
      of your accepting any such warranty or additional liability.

   END OF TERMS AND CONDITIONS

   APPENDIX: How to apply the Apache License to your work.

      To apply the Apache License to your work, attach the following
      boilerplate notice, with the fields enclosed by brackets &quot;[]&quot;
      replaced with your own identifying information. (Don&prime;t include
      the brackets!)  The text should be enclosed in the appropriate
      comment syntax for the file format. We also recommend that a
      file or class name and description of purpose be included on the
      same &quot;printed page&quot; as the copyright notice for easier
      identification within third&ndash;party archives.

   Copyright [yyyy] [name of copyright owner]

   Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE&ndash;2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id3"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/fastjson <br/>
</div><!-- file-list -->

             <pre class="license-text">


Software:fastjson 1.2.83

Copyright 1999&ndash;2017 Alibaba Group
Copyright (c) 2000&ndash;2007 INRIA, France Telecom
Copyright 1999&ndash;2100 Alibaba.com Corporation Limited
Copyright 2018 Diffblue Limited
Copyright 1999&ndash;2020 Alibaba Group Holding Ltd.
Copyright 2016 Dark Phoenixs
Copyright 1999&ndash;2018 Alibaba Group
Copyright (c) 2014 www.yiji.com Inc.
copyright 2009, Scooby
Copyright 1999&ndash;2019 Alibaba Group
Copyright 2015&ndash;2016 Dark Phoenixs
Copyright 2015 Alibaba.com
Copyright (c) 2003&ndash;2012 Taobao.com Inc.
Copyright 2008 Alibaba.com Croporation Limited
Copyright 1999&ndash;2019 Alibaba Group Holding Ltd.
Copyright 2008 Alibaba.com Corporation Limited
Copyright 2019 thunisoft, Inc.
Copyright Set 2009, Scooby Doo
Copyright (c) 2004, Mikael Grev, MiG InfoCom AB. (base64 miginfocom . com)
Copyright 1999&ndash;2004 Alibaba.com
Copyright 2011 Alibaba.com
Copyright (c) The Internet Society (2006)
Copyright 2018 Ulf Adams


                                 Apache License
                           Version 2.0, January 2004
                        http://www.apache.org/licenses/

   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

   1. Definitions.

      &quot;License&quot; shall mean the terms and conditions for use, reproduction,
      and distribution as defined by Sections 1 through 9 of this document.

      &quot;Licensor&quot; shall mean the copyright owner or entity authorized by
      the copyright owner that is granting the License.

      &quot;Legal Entity&quot; shall mean the union of the acting entity and all
      other entities that control, are controlled by, or are under common
      control with that entity. For the purposes of this definition,
      &quot;control&quot; means (i) the power, direct or indirect, to cause the
      direction or management of such entity, whether by contract or
      otherwise, or (ii) ownership of fifty percent (50%) or more of the
      outstanding shares, or (iii) beneficial ownership of such entity.

      &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity
      exercising permissions granted by this License.

      &quot;Source&quot; form shall mean the preferred form for making modifications,
      including but not limited to software source code, documentation
      source, and configuration files.

      &quot;Object&quot; form shall mean any form resulting from mechanical
      transformation or translation of a Source form, including but
      not limited to compiled object code, generated documentation,
      and conversions to other media types.

      &quot;Work&quot; shall mean the work of authorship, whether in Source or
      Object form, made available under the License, as indicated by a
      copyright notice that is included in or attached to the work
      (an example is provided in the Appendix below).

      &quot;Derivative Works&quot; shall mean any work, whether in Source or Object
      form, that is based on (or derived from) the Work and for which the
      editorial revisions, annotations, elaborations, or other modifications
      represent, as a whole, an original work of authorship. For the purposes
      of this License, Derivative Works shall not include works that remain
      separable from, or merely link (or bind by name) to the interfaces of,
      the Work and Derivative Works thereof.

      &quot;Contribution&quot; shall mean any work of authorship, including
      the original version of the Work and any modifications or additions
      to that Work or Derivative Works thereof, that is intentionally
      submitted to Licensor for inclusion in the Work by the copyright owner
      or by an individual or Legal Entity authorized to submit on behalf of
      the copyright owner. For the purposes of this definition, &quot;submitted&quot;
      means any form of electronic, verbal, or written communication sent
      to the Licensor or its representatives, including but not limited to
      communication on electronic mailing lists, source code control systems,
      and issue tracking systems that are managed by, or on behalf of, the
      Licensor for the purpose of discussing and improving the Work, but
      excluding communication that is conspicuously marked or otherwise
      designated in writing by the copyright owner as &quot;Not a Contribution.&quot;

      &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity
      on behalf of whom a Contribution has been received by Licensor and
      subsequently incorporated within the Work.

   2. Grant of Copyright License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      copyright license to reproduce, prepare Derivative Works of,
      publicly display, publicly perform, sublicense, and distribute the
      Work and such Derivative Works in Source or Object form.

   3. Grant of Patent License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      (except as stated in this section) patent license to make, have made,
      use, offer to sell, sell, import, and otherwise transfer the Work,
      where such license applies only to those patent claims licensable
      by such Contributor that are necessarily infringed by their
      Contribution(s) alone or by combination of their Contribution(s)
      with the Work to which such Contribution(s) was submitted. If You
      institute patent litigation against any entity (including a
      cross&ndash;claim or counterclaim in a lawsuit) alleging that the Work
      or a Contribution incorporated within the Work constitutes direct
      or contributory patent infringement, then any patent licenses
      granted to You under this License for that Work shall terminate
      as of the date such litigation is filed.

   4. Redistribution. You may reproduce and distribute copies of the
      Work or Derivative Works thereof in any medium, with or without
      modifications, and in Source or Object form, provided that You
      meet the following conditions:

      (a) You must give any other recipients of the Work or
          Derivative Works a copy of this License; and

      (b) You must cause any modified files to carry prominent notices
          stating that You changed the files; and

      (c) You must retain, in the Source form of any Derivative Works
          that You distribute, all copyright, patent, trademark, and
          attribution notices from the Source form of the Work,
          excluding those notices that do not pertain to any part of
          the Derivative Works; and

      (d) If the Work includes a &quot;NOTICE&quot; text file as part of its
          distribution, then any Derivative Works that You distribute must
          include a readable copy of the attribution notices contained
          within such NOTICE file, excluding those notices that do not
          pertain to any part of the Derivative Works, in at least one
          of the following places: within a NOTICE text file distributed
          as part of the Derivative Works; within the Source form or
          documentation, if provided along with the Derivative Works; or,
          within a display generated by the Derivative Works, if and
          wherever such third&ndash;party notices normally appear. The contents
          of the NOTICE file are for informational purposes only and
          do not modify the License. You may add Your own attribution
          notices within Derivative Works that You distribute, alongside
          or as an addendum to the NOTICE text from the Work, provided
          that such additional attribution notices cannot be construed
          as modifying the License.

      You may add Your own copyright statement to Your modifications and
      may provide additional or different license terms and conditions
      for use, reproduction, or distribution of Your modifications, or
      for any such Derivative Works as a whole, provided Your use,
      reproduction, and distribution of the Work otherwise complies with
      the conditions stated in this License.

   5. Submission of Contributions. Unless You explicitly state otherwise,
      any Contribution intentionally submitted for inclusion in the Work
      by You to the Licensor shall be under the terms and conditions of
      this License, without any additional terms or conditions.
      Notwithstanding the above, nothing herein shall supersede or modify
      the terms of any separate license agreement you may have executed
      with Licensor regarding such Contributions.

   6. Trademarks. This License does not grant permission to use the trade
      names, trademarks, service marks, or product names of the Licensor,
      except as required for reasonable and customary use in describing the
      origin of the Work and reproducing the content of the NOTICE file.

   7. Disclaimer of Warranty. Unless required by applicable law or
      agreed to in writing, Licensor provides the Work (and each
      Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
      implied, including, without limitation, any warranties or conditions
      of TITLE, NON&ndash;INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
      PARTICULAR PURPOSE. You are solely responsible for determining the
      appropriateness of using or redistributing the Work and assume any
      risks associated with Your exercise of permissions under this License.

   8. Limitation of Liability. In no event and under no legal theory,
      whether in tort (including negligence), contract, or otherwise,
      unless required by applicable law (such as deliberate and grossly
      negligent acts) or agreed to in writing, shall any Contributor be
      liable to You for damages, including any direct, indirect, special,
      incidental, or consequential damages of any character arising as a
      result of this License or out of the use or inability to use the
      Work (including but not limited to damages for loss of goodwill,
      work stoppage, computer failure or malfunction, or any and all
      other commercial damages or losses), even if such Contributor
      has been advised of the possibility of such damages.

   9. Accepting Warranty or Additional Liability. While redistributing
      the Work or Derivative Works thereof, You may choose to offer,
      and charge a fee for, acceptance of support, warranty, indemnity,
      or other liability obligations and/or rights consistent with this
      License. However, in accepting such obligations, You may act only
      on Your own behalf and on Your sole responsibility, not on behalf
      of any other Contributor, and only if You agree to indemnify,
      defend, and hold each Contributor harmless for any liability
      incurred by, or claims asserted against, such Contributor by reason
      of your accepting any such warranty or additional liability.

   END OF TERMS AND CONDITIONS

   APPENDIX: How to apply the Apache License to your work.

      To apply the Apache License to your work, attach the following
      boilerplate notice, with the fields enclosed by brackets &quot;[]&quot;
      replaced with your own identifying information. (Don&prime;t include
      the brackets!)  The text should be enclosed in the appropriate
      comment syntax for the file format. We also recommend that a
      file or class name and description of purpose be included on the
      same &quot;printed page&quot; as the copyright notice for easier
      identification within third&ndash;party archives.

   Copyright [yyyy] [name of copyright owner]

   Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE&ndash;2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.


Copyright (c) &lt;YEAR&gt;, &lt;OWNER&gt;
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id4"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/AndroidX Exifinterface <br/>
</div><!-- file-list -->

             <pre class="license-text">


Software:AndroidX Exifinterface 1.3.5

Copyright, John Smith, 19xx
Copyright 2020 The Android Open Source Project
Copyright 2018 The Android Open Source Project
Copyright Exif IFD Attribute


                                 Apache License
                           Version 2.0, January 2004
                        http://www.apache.org/licenses/

   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

   1. Definitions.

      &quot;License&quot; shall mean the terms and conditions for use, reproduction,
      and distribution as defined by Sections 1 through 9 of this document.

      &quot;Licensor&quot; shall mean the copyright owner or entity authorized by
      the copyright owner that is granting the License.

      &quot;Legal Entity&quot; shall mean the union of the acting entity and all
      other entities that control, are controlled by, or are under common
      control with that entity. For the purposes of this definition,
      &quot;control&quot; means (i) the power, direct or indirect, to cause the
      direction or management of such entity, whether by contract or
      otherwise, or (ii) ownership of fifty percent (50%) or more of the
      outstanding shares, or (iii) beneficial ownership of such entity.

      &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity
      exercising permissions granted by this License.

      &quot;Source&quot; form shall mean the preferred form for making modifications,
      including but not limited to software source code, documentation
      source, and configuration files.

      &quot;Object&quot; form shall mean any form resulting from mechanical
      transformation or translation of a Source form, including but
      not limited to compiled object code, generated documentation,
      and conversions to other media types.

      &quot;Work&quot; shall mean the work of authorship, whether in Source or
      Object form, made available under the License, as indicated by a
      copyright notice that is included in or attached to the work
      (an example is provided in the Appendix below).

      &quot;Derivative Works&quot; shall mean any work, whether in Source or Object
      form, that is based on (or derived from) the Work and for which the
      editorial revisions, annotations, elaborations, or other modifications
      represent, as a whole, an original work of authorship. For the purposes
      of this License, Derivative Works shall not include works that remain
      separable from, or merely link (or bind by name) to the interfaces of,
      the Work and Derivative Works thereof.

      &quot;Contribution&quot; shall mean any work of authorship, including
      the original version of the Work and any modifications or additions
      to that Work or Derivative Works thereof, that is intentionally
      submitted to Licensor for inclusion in the Work by the copyright owner
      or by an individual or Legal Entity authorized to submit on behalf of
      the copyright owner. For the purposes of this definition, &quot;submitted&quot;
      means any form of electronic, verbal, or written communication sent
      to the Licensor or its representatives, including but not limited to
      communication on electronic mailing lists, source code control systems,
      and issue tracking systems that are managed by, or on behalf of, the
      Licensor for the purpose of discussing and improving the Work, but
      excluding communication that is conspicuously marked or otherwise
      designated in writing by the copyright owner as &quot;Not a Contribution.&quot;

      &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity
      on behalf of whom a Contribution has been received by Licensor and
      subsequently incorporated within the Work.

   2. Grant of Copyright License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      copyright license to reproduce, prepare Derivative Works of,
      publicly display, publicly perform, sublicense, and distribute the
      Work and such Derivative Works in Source or Object form.

   3. Grant of Patent License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      (except as stated in this section) patent license to make, have made,
      use, offer to sell, sell, import, and otherwise transfer the Work,
      where such license applies only to those patent claims licensable
      by such Contributor that are necessarily infringed by their
      Contribution(s) alone or by combination of their Contribution(s)
      with the Work to which such Contribution(s) was submitted. If You
      institute patent litigation against any entity (including a
      cross&ndash;claim or counterclaim in a lawsuit) alleging that the Work
      or a Contribution incorporated within the Work constitutes direct
      or contributory patent infringement, then any patent licenses
      granted to You under this License for that Work shall terminate
      as of the date such litigation is filed.

   4. Redistribution. You may reproduce and distribute copies of the
      Work or Derivative Works thereof in any medium, with or without
      modifications, and in Source or Object form, provided that You
      meet the following conditions:

      (a) You must give any other recipients of the Work or
          Derivative Works a copy of this License; and

      (b) You must cause any modified files to carry prominent notices
          stating that You changed the files; and

      (c) You must retain, in the Source form of any Derivative Works
          that You distribute, all copyright, patent, trademark, and
          attribution notices from the Source form of the Work,
          excluding those notices that do not pertain to any part of
          the Derivative Works; and

      (d) If the Work includes a &quot;NOTICE&quot; text file as part of its
          distribution, then any Derivative Works that You distribute must
          include a readable copy of the attribution notices contained
          within such NOTICE file, excluding those notices that do not
          pertain to any part of the Derivative Works, in at least one
          of the following places: within a NOTICE text file distributed
          as part of the Derivative Works; within the Source form or
          documentation, if provided along with the Derivative Works; or,
          within a display generated by the Derivative Works, if and
          wherever such third&ndash;party notices normally appear. The contents
          of the NOTICE file are for informational purposes only and
          do not modify the License. You may add Your own attribution
          notices within Derivative Works that You distribute, alongside
          or as an addendum to the NOTICE text from the Work, provided
          that such additional attribution notices cannot be construed
          as modifying the License.

      You may add Your own copyright statement to Your modifications and
      may provide additional or different license terms and conditions
      for use, reproduction, or distribution of Your modifications, or
      for any such Derivative Works as a whole, provided Your use,
      reproduction, and distribution of the Work otherwise complies with
      the conditions stated in this License.

   5. Submission of Contributions. Unless You explicitly state otherwise,
      any Contribution intentionally submitted for inclusion in the Work
      by You to the Licensor shall be under the terms and conditions of
      this License, without any additional terms or conditions.
      Notwithstanding the above, nothing herein shall supersede or modify
      the terms of any separate license agreement you may have executed
      with Licensor regarding such Contributions.

   6. Trademarks. This License does not grant permission to use the trade
      names, trademarks, service marks, or product names of the Licensor,
      except as required for reasonable and customary use in describing the
      origin of the Work and reproducing the content of the NOTICE file.

   7. Disclaimer of Warranty. Unless required by applicable law or
      agreed to in writing, Licensor provides the Work (and each
      Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
      implied, including, without limitation, any warranties or conditions
      of TITLE, NON&ndash;INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
      PARTICULAR PURPOSE. You are solely responsible for determining the
      appropriateness of using or redistributing the Work and assume any
      risks associated with Your exercise of permissions under this License.

   8. Limitation of Liability. In no event and under no legal theory,
      whether in tort (including negligence), contract, or otherwise,
      unless required by applicable law (such as deliberate and grossly
      negligent acts) or agreed to in writing, shall any Contributor be
      liable to You for damages, including any direct, indirect, special,
      incidental, or consequential damages of any character arising as a
      result of this License or out of the use or inability to use the
      Work (including but not limited to damages for loss of goodwill,
      work stoppage, computer failure or malfunction, or any and all
      other commercial damages or losses), even if such Contributor
      has been advised of the possibility of such damages.

   9. Accepting Warranty or Additional Liability. While redistributing
      the Work or Derivative Works thereof, You may choose to offer,
      and charge a fee for, acceptance of support, warranty, indemnity,
      or other liability obligations and/or rights consistent with this
      License. However, in accepting such obligations, You may act only
      on Your own behalf and on Your sole responsibility, not on behalf
      of any other Contributor, and only if You agree to indemnify,
      defend, and hold each Contributor harmless for any liability
      incurred by, or claims asserted against, such Contributor by reason
      of your accepting any such warranty or additional liability.

   END OF TERMS AND CONDITIONS

   APPENDIX: How to apply the Apache License to your work.

      To apply the Apache License to your work, attach the following
      boilerplate notice, with the fields enclosed by brackets &quot;[]&quot;
      replaced with your own identifying information. (Don&prime;t include
      the brackets!)  The text should be enclosed in the appropriate
      comment syntax for the file format. We also recommend that a
      file or class name and description of purpose be included on the
      same &quot;printed page&quot; as the copyright notice for easier
      identification within third&ndash;party archives.

   Copyright [yyyy] [name of copyright owner]

   Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE&ndash;2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

</pre><!-- license-text -->
            </td></tr><!-- same-license -->



<tr id="id5"><td class="same-license">
            <div class="label">Notices for Software(s):</div>
            <div class="file-list">
/JetBrains Java Annotations <br/>
</div><!-- file-list -->

             <pre class="license-text">


Software:JetBrains Java Annotations 13.0

Copyright (c) 2000&ndash;2016 JetBrains s.r.o.

                                 Apache License
                           Version 2.0, January 2004
                        http://www.apache.org/licenses/

   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION

   1. Definitions.

      &quot;License&quot; shall mean the terms and conditions for use, reproduction,
      and distribution as defined by Sections 1 through 9 of this document.

      &quot;Licensor&quot; shall mean the copyright owner or entity authorized by
      the copyright owner that is granting the License.

      &quot;Legal Entity&quot; shall mean the union of the acting entity and all
      other entities that control, are controlled by, or are under common
      control with that entity. For the purposes of this definition,
      &quot;control&quot; means (i) the power, direct or indirect, to cause the
      direction or management of such entity, whether by contract or
      otherwise, or (ii) ownership of fifty percent (50%) or more of the
      outstanding shares, or (iii) beneficial ownership of such entity.

      &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity
      exercising permissions granted by this License.

      &quot;Source&quot; form shall mean the preferred form for making modifications,
      including but not limited to software source code, documentation
      source, and configuration files.

      &quot;Object&quot; form shall mean any form resulting from mechanical
      transformation or translation of a Source form, including but
      not limited to compiled object code, generated documentation,
      and conversions to other media types.

      &quot;Work&quot; shall mean the work of authorship, whether in Source or
      Object form, made available under the License, as indicated by a
      copyright notice that is included in or attached to the work
      (an example is provided in the Appendix below).

      &quot;Derivative Works&quot; shall mean any work, whether in Source or Object
      form, that is based on (or derived from) the Work and for which the
      editorial revisions, annotations, elaborations, or other modifications
      represent, as a whole, an original work of authorship. For the purposes
      of this License, Derivative Works shall not include works that remain
      separable from, or merely link (or bind by name) to the interfaces of,
      the Work and Derivative Works thereof.

      &quot;Contribution&quot; shall mean any work of authorship, including
      the original version of the Work and any modifications or additions
      to that Work or Derivative Works thereof, that is intentionally
      submitted to Licensor for inclusion in the Work by the copyright owner
      or by an individual or Legal Entity authorized to submit on behalf of
      the copyright owner. For the purposes of this definition, &quot;submitted&quot;
      means any form of electronic, verbal, or written communication sent
      to the Licensor or its representatives, including but not limited to
      communication on electronic mailing lists, source code control systems,
      and issue tracking systems that are managed by, or on behalf of, the
      Licensor for the purpose of discussing and improving the Work, but
      excluding communication that is conspicuously marked or otherwise
      designated in writing by the copyright owner as &quot;Not a Contribution.&quot;

      &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity
      on behalf of whom a Contribution has been received by Licensor and
      subsequently incorporated within the Work.

   2. Grant of Copyright License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      copyright license to reproduce, prepare Derivative Works of,
      publicly display, publicly perform, sublicense, and distribute the
      Work and such Derivative Works in Source or Object form.

   3. Grant of Patent License. Subject to the terms and conditions of
      this License, each Contributor hereby grants to You a perpetual,
      worldwide, non&ndash;exclusive, no&ndash;charge, royalty&ndash;free, irrevocable
      (except as stated in this section) patent license to make, have made,
      use, offer to sell, sell, import, and otherwise transfer the Work,
      where such license applies only to those patent claims licensable
      by such Contributor that are necessarily infringed by their
      Contribution(s) alone or by combination of their Contribution(s)
      with the Work to which such Contribution(s) was submitted. If You
      institute patent litigation against any entity (including a
      cross&ndash;claim or counterclaim in a lawsuit) alleging that the Work
      or a Contribution incorporated within the Work constitutes direct
      or contributory patent infringement, then any patent licenses
      granted to You under this License for that Work shall terminate
      as of the date such litigation is filed.

   4. Redistribution. You may reproduce and distribute copies of the
      Work or Derivative Works thereof in any medium, with or without
      modifications, and in Source or Object form, provided that You
      meet the following conditions:

      (a) You must give any other recipients of the Work or
          Derivative Works a copy of this License; and

      (b) You must cause any modified files to carry prominent notices
          stating that You changed the files; and

      (c) You must retain, in the Source form of any Derivative Works
          that You distribute, all copyright, patent, trademark, and
          attribution notices from the Source form of the Work,
          excluding those notices that do not pertain to any part of
          the Derivative Works; and

      (d) If the Work includes a &quot;NOTICE&quot; text file as part of its
          distribution, then any Derivative Works that You distribute must
          include a readable copy of the attribution notices contained
          within such NOTICE file, excluding those notices that do not
          pertain to any part of the Derivative Works, in at least one
          of the following places: within a NOTICE text file distributed
          as part of the Derivative Works; within the Source form or
          documentation, if provided along with the Derivative Works; or,
          within a display generated by the Derivative Works, if and
          wherever such third&ndash;party notices normally appear. The contents
          of the NOTICE file are for informational purposes only and
          do not modify the License. You may add Your own attribution
          notices within Derivative Works that You distribute, alongside
          or as an addendum to the NOTICE text from the Work, provided
          that such additional attribution notices cannot be construed
          as modifying the License.

      You may add Your own copyright statement to Your modifications and
      may provide additional or different license terms and conditions
      for use, reproduction, or distribution of Your modifications, or
      for any such Derivative Works as a whole, provided Your use,
      reproduction, and distribution of the Work otherwise complies with
      the conditions stated in this License.

   5. Submission of Contributions. Unless You explicitly state otherwise,
      any Contribution intentionally submitted for inclusion in the Work
      by You to the Licensor shall be under the terms and conditions of
      this License, without any additional terms or conditions.
      Notwithstanding the above, nothing herein shall supersede or modify
      the terms of any separate license agreement you may have executed
      with Licensor regarding such Contributions.

   6. Trademarks. This License does not grant permission to use the trade
      names, trademarks, service marks, or product names of the Licensor,
      except as required for reasonable and customary use in describing the
      origin of the Work and reproducing the content of the NOTICE file.

   7. Disclaimer of Warranty. Unless required by applicable law or
      agreed to in writing, Licensor provides the Work (and each
      Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or
      implied, including, without limitation, any warranties or conditions
      of TITLE, NON&ndash;INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A
      PARTICULAR PURPOSE. You are solely responsible for determining the
      appropriateness of using or redistributing the Work and assume any
      risks associated with Your exercise of permissions under this License.

   8. Limitation of Liability. In no event and under no legal theory,
      whether in tort (including negligence), contract, or otherwise,
      unless required by applicable law (such as deliberate and grossly
      negligent acts) or agreed to in writing, shall any Contributor be
      liable to You for damages, including any direct, indirect, special,
      incidental, or consequential damages of any character arising as a
      result of this License or out of the use or inability to use the
      Work (including but not limited to damages for loss of goodwill,
      work stoppage, computer failure or malfunction, or any and all
      other commercial damages or losses), even if such Contributor
      has been advised of the possibility of such damages.

   9. Accepting Warranty or Additional Liability. While redistributing
      the Work or Derivative Works thereof, You may choose to offer,
      and charge a fee for, acceptance of support, warranty, indemnity,
      or other liability obligations and/or rights consistent with this
      License. However, in accepting such obligations, You may act only
      on Your own behalf and on Your sole responsibility, not on behalf
      of any other Contributor, and only if You agree to indemnify,
      defend, and hold each Contributor harmless for any liability
      incurred by, or claims asserted against, such Contributor by reason
      of your accepting any such warranty or additional liability.

   END OF TERMS AND CONDITIONS

   APPENDIX: How to apply the Apache License to your work.

      To apply the Apache License to your work, attach the following
      boilerplate notice, with the fields enclosed by brackets &quot;[]&quot;
      replaced with your own identifying information. (Don&prime;t include
      the brackets!)  The text should be enclosed in the appropriate
      comment syntax for the file format. We also recommend that a
      file or class name and description of purpose be included on the
      same &quot;printed page&quot; as the copyright notice for easier
      identification within third&ndash;party archives.

   Copyright [yyyy] [name of copyright owner]

   Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE&ndash;2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an &quot;AS IS&quot; BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.

</pre><!-- license-text -->
            </td></tr><!-- same-license -->



</table>
</body></html>
